Summary: get a file from a FTP, GOPHER or HTTP server.
Name: curl
Version: 7.15.3 
Release: 3tr
License: MIT
Packager: Michael Shuler <michael@unixtx.com>
Group: Trustix Official
Source: http://curl.haxx.se/download/%{name}-%{version}.tar.bz2
Patch0: curl-CVE-2007-3564.patch
URL: http://curl.haxx.se/
BuildRoot: %{_tmppath}/%{name}-root
Requires: openssl >= 0.9.5

%description
curl is a client to get documents/files from servers, using any of the
supported protocols. The command is designed to work without user
interaction or any kind of interactivity.

curl offers a busload of useful tricks like proxy support, user
authentication, ftp upload, HTTP post, file transfer resume and more.

%package devel
Summary: The includes, libs, and man pages to develop with libcurl
Group: Trustix Official
Requires: %{name} = %{version}
Requires: openssl-devel >= 0.9.5
Provides: curl-devel

%description devel
libcurl is the core engine of curl; this packages contains all the libs,
headers, and manual pages to develop applications using libcurl.

%prep
%setup -q 
%patch0 -p0

%build
%configure
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install-strip

%clean
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/curl
%attr(0644,root,root) %{_mandir}/man1/curl.1*
%{_libdir}/libcurl.so*
%{_datadir}/curl/curl-ca-bundle.crt
%doc CHANGES COPYING README docs/BUGS
%doc docs/CONTRIBUTE docs/FAQ docs/FEATURES docs/HISTORY docs/INSTALL
%doc docs/KNOWN_BUGS docs/MANUAL docs/RESOURCES docs/THANKS
%doc docs/TODO docs/VERSIONS docs/TheArtOfHttpScripting tests

%files devel
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/curl-config
%attr(0644,root,root) %{_mandir}/man1/curl-config.1*
%attr(0644,root,root) %{_mandir}/man3/*
%attr(0644,root,root) %{_includedir}/curl/*
%{_libdir}/libcurl.a
%{_libdir}/libcurl.la
%{_libdir}/pkgconfig/libcurl.pc
%doc docs/BINDINGS docs/INTERNALS docs/examples/* 

%changelog
* Thu Jul 19 2007 Nived Gopalan <nived at trustix dot org> 7.15.3-3tr
- SECURITY Fix: A security issue has been reported in cURL/libcURL,
  when the validity period of SSL/TLS certificates presented by peers
  is not properly checked. This can be exploited to bypass access
  restrictions imposed by SSL/TLS certificates, but requires that
  cURL/libcURL is built with GnuTLS.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2007-3564 to this issue.

* Fri Aug 25 2006 Nived Gopalan <nived at trustix dot org> 7.15.3-2tr
- Added missing requires for devel, Bug #1920.

* Tue Mar 21 2006 Nived Gopalan <nived at trustix dot org> 7.15.3-1tr
- New Upstream.
- SECURITY Fix: Ulf Harnhammar has reported a vulnerability in cURL
  caused due to a boundary error within the parsing of a URL that
  contains the TFTP protocol prefix "tftp://". This can be exploited to
  cause a heap-based buffer overflow via a specially-crafted URL that
  consist of a valid hostname and a path that is longer than 512 bytes.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2006-1061 to this issue.

* Wed Dec 14 2005 Nived Gopalan <nived at trustix dot org> 7.15.1-1tr
- New upstream.
- SECURITY Fix: Stefan Esser has reported a vulnerability caused due
  to an off-by-one error when parsing an URL that is longer than 256
  bytes. By using a specially crafted URL, a two-byte overflow is
  reportedly possible.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2005-4077 to this issue.

* Tue Aug 09 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 7.14.0-1tr
- Rebuilt and added for TSL-2.2 Official.

* Tue Jun 07 2005 Bipin S <bipin at comodo dot com> 7.14.0-1bi
- New upstream
- Added more features and bug fixes done 

* Tue Mar 29 2005 Hasher Jamaludeen <hasher at comodo dot com> 7.13.1-1hr
- New upstream

* Thu Jan 13 2005 Raghu <raghu at comodo dot com> 7.12.3-1ra
- New upstream

* Mon Oct 11 2004 Syed Shabir <syedshabir at comodo dot com> 
- Rebuilt for TSL 2.2

* Thu Aug 19 2004 Jeyaganesan <ganesan at comodo dot com> 7.12.1-1je
- New upstream

* Tue Apr 27 2004 Chr. Toldnes <christht at trustix dot org> 7.11.2-2ct
- Cleanup

* Mon Apr 26 2004 Michael Shuler <michael@unixtx.com> 7.11.2-1mas
- http://curl.haxx.se/changes.html
- new stable release curl-7.11.2 from the curl developers

* Sun Mar 21 2004 Michael Shuler <michael@unixtx.com> 7.11.1-1mas
- http://curl.haxx.se/changes.html
- new stable release curl-7.11.1 from the curl developers
- Trustix Secure Linux 2.0 build (should build fine on 2.1, as well)

* Sun Jan 25 2004 Michael Shuler <michael@unixtx.com> 7.11.0-1mas
- http://curl.haxx.se/changes.html
- new stable release curl-7.11.0 from the curl developers
- Trustix Secure Linux 2.0 build

* Wed Jan 7 2004 Michael Shuler <michael@unixtx.com> 7.10.8-1mas
- Trustix Secure Linux 2.0 build
